1. kehammel's Avatar
    Bit of a technophobe here, so I'm not that knowledgeable about my old phone, which is a Moto G 1st gen. I'd like to install the Lyft app (to avoid ordering rides through the browser) but Play Store says the app is incompatible with my device. Is my old OS the reason for this? Problem is, when I select System Updates in Settings, I get the message that my OS 4.4.3 is up to date. Does anyone know of a solution, short of getting a new phone? Thanks!
    03-26-2019 11:00 AM
  2. hallux's Avatar
    See your anonymously-posted thread here - https://forums.androidcentral.com/as...ndroid-os.html
    03-26-2019 11:38 AM
  3. Rukbat's Avatar
    Thread closed to avoid confusion.
    03-26-2019 05:05 PM

Similar Threads

  1. How do you turn off Battery saver for GPS to work
    By Android Central Question in forum Ask a Question
    Replies: 4
    Last Post: 09-06-2019, 02:08 PM
  2. Old Lyft app on Android 4.4.3 or update to newer Android OS?
    By Android Central Question in forum Ask a Question
    Replies: 4
    Last Post: 03-26-2019, 12:42 PM
  3. Is it possible to temporarily skip media restore in WhatsApp?
    By Android Central Question in forum Android Apps
    Replies: 1
    Last Post: 03-26-2019, 12:30 PM
  4. Hide the S10 Hole Punch via an app
    By Bbtz84 in forum Samsung Galaxy S10 & S10+
    Replies: 3
    Last Post: 03-26-2019, 10:51 AM
  5. Is it possible to temporarily skip media restore in WhatsApp?
    By Android Central Question in forum Ask a Question
    Replies: 0
    Last Post: 03-26-2019, 10:02 AM
LINK TO POST COPIED TO CLIPBOARD